<template>
    <div id="app">
        <AppHeader/>
        <main class="main">
            <router-view/>
        </main>
        <footer class="footer">
            (c)Created by DAR LABS Inc Company / 8 The Green. Ste A. Dover. DE 19901 / №6288750
        </footer>
    </div>
</template>


<script>
import Cookies from 'js-cookie';
import * as cookies from './config/cookies';
import {mapState} from 'vuex';
import AppHeader from "@/layouts/default/AppHeader";

export default {
    components: {AppHeader},
    beforeCreate() {
        const token = Cookies.get(cookies.USER_TOKEN);
        token && this.$store.dispatch('setUserToken', token);
    },
    watch: {
        '$store.state.auth.user': {
            handler(user) {
                console.log(user)
                if (!user) {
                    this.$route.name !== 'login' && this.$router.push({name: 'login'});
                }
            },
            immediate: false,
        },
    },
    computed: {
        ...mapState({
            user: state => state.auth.user,
        }),
    },
};
</script>

<style lang="scss">
#app {
    background: #111827;
    min-height: 100vh;

    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.main {
    display: flex;
    justify-content: center;
}

footer {
    height: 54px;
    font-family: 'Arial', sans-serif;
    font-style: normal;
    font-weight: 400;
    font-size: 12px;
    line-height: 14px;
    box-sizing: border-box;

    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;

    color: #8699C6;

}

.footer:before {
    content: '';
    border: 1px solid #222E49;
    width: 1440px;
}


</style>